# Generated by Django 5.0.4 on 2024-06-05 14:50

import uuid

import django.db.models.deletion
from django.db import migrations, models

import public.models
import public.validators


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("volunteers", "0041_alter_document_type"),
    ]

    operations = [
        migrations.CreateModel(
            name="UnassociatedUploadedFile",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "file",
                    models.FileField(
                        upload_to="",
                        validators=[
                            public.validators.validate_file_size,
                            public.validators.validate_file_type,
                        ],
                    ),
                ),
                ("uid", models.UUIDField(default=uuid.uuid4, editable=False)),
                ("created_at", models.DateTimeField(default=public.models.now)),
            ],
        ),
        migrations.CreateModel(
            name="Inquiry",
            fields=[
                ("id", models.AutoField(primary_key=True, serialize=False)),
                ("uid", models.UUIDField(default=uuid.uuid4, editable=False)),
                ("created", models.DateTimeField(editable=False)),
                (
                    "type",
                    models.CharField(
                        choices=[
                            ("AVAILABILITY", "availability"),
                            ("RANK_RELATED_DOCUMENTS", "rank_related_documents"),
                        ],
                        max_length=255,
                    ),
                ),
                ("request_data", models.JSONField()),
                (
                    "volunteer",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="volunteers.volunteer",
                    ),
                ),
            ],
        ),
    ]
